{ config, lib, ... }:
{
  programs.zellij = {
    enable = true;
    attachExistingSession = true;
  };

  home.persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}".directories = 
  with lib; with config.home; with config.xdg; [
    "state/${removePrefix "${homeDirectory}/" cacheHome}/zellij"
    "state/${removePrefix "${homeDirectory}/" configHome}/zellij"
  ];
}
