{ config, pkgs, ... }:
{
  home.packages = with pkgs; with lib; with config.home; with config.xdg; [
    (writeScriptBin "smallfetch" ''
      #!/bin/sh
      fastfetch --config $HOME/${removePrefix "${homeDirectory}/" configHome}/fastfetch/small.jsonc
    '')
  ];

  xdg.configFile."fastfetch/small.jsonc".source = ./small.jsonc;
}
