{ config, pkgs, ... }:
{
  imports = [ ./nvidia ];

  hardware.graphics = {
    enable = builtins.elem "pc" config.system.nixos.tags;
    enable32Bit = if config.nixpkgs.hostPlatform.linuxArch == "x86_64" then true else false;
    extraPackages = with pkgs; [
      vulkan-loader
      vulkan-validation-layers
      vulkan-extension-layer
    ];
  };
}
