{ config, lib, ... }:
{
  config = lib.mkIf config.services.nginx.enable {
    security.acme = { 
      acceptTerms = true;
      defaults.email = "contact@${config.vars.mainDomain}";
    };
    environment.persistence."/persist".directories = [ "/var/lib/acme" ];
  };
}
